 /*
 * Copyright(C) 2000 Проект ИОК
 *
 * Этот файл содержит информацию, являющуюся
 * собственностью компании Крипто Про.
 *
 * Любая часть этого файла не может быть скопирована,
 * исправлена, переведена на другие языки,
 * локализована или модифицирована любым способом,
 * откомпилирована, передана по сети с или на
 * любую компьютерную систему без предварительного
 * заключения соглашения с компанией Крипто Про.
 */

#include "ric_prj.h"

DWORD ric_logout( 
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TRICContext *ctx = (TRICContext*)context;
    BYTE apdu_sel[] = { 0, 0xA4, 0x08, 0x04 };
    unsigned char data[4] = { 0x3f, 0x00, 0x0b, 0x01 };
    size_t data_len = sizeof (data);
    DWORD code;

    SUPSYS_PRE_CONTEXT( context, TRICContext );
    UNUSED(info);
    //посылаем 4 байта только на риках
    if (ctx->card_type != CardType_RIC)
	data_len = 2;
    code = send_apdu( ctx, apdu_sel, data, data_len, NULL, NULL );
    if( code )	
	return code; 
    ctx->status = RIC_STATUS_START;
    return ERROR_SUCCESS;
}
/* end of file: $Id: ric_lout.c 123884 2015-07-17 10:37:18Z borodin $ */
